## Class NotComparableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - NotComparableException

All Implemented Interfaces:
  `java.io.Serializable`

    public class NotComparableException
    extends java.lang.Exception

Exception generated when two objects cannot be compared Such cases happen when an object does not implement the Comparable interface or when the comparison produces a ClassCastException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`NotComparableException​(java.lang.Class cl)`
`NotComparableException​(java.lang.Object o)`
`NotComparableException​(java.lang.Object a, java.lang.Object b)`
`NotComparableException​(java.lang.String type)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotComparableException

    public NotComparableException​(java.lang.Object a,
                                  java.lang.Object b)

#### NotComparableException

    public NotComparableException​(java.lang.Object o)

#### NotComparableException

    public NotComparableException​(java.lang.Class cl)

#### NotComparableException

    public NotComparableException​(java.lang.String type)